<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.bonus.canteen.core.menu.mapper.MenuTasteDishesMapper">

    <!-- 批量插入数据 -->
    <insert id="insertBatch">
        insert into
        menu_taste_dishes (dishes_id, taste_id, crby)
        values
        <foreach collection="tasteDishesList" item="tasteDishesList" separator="," close=";">
            (#{tasteDishesList.dishesId}, #{tasteDishesList.tasteId},
            #{tasteDishesList.crby})
        </foreach>
    </insert>
</mapper>
